# gphoto2-port-result.h File Reference

Go to the source code of this file.

## Defines

#define | GP_OK 0
| Everything is OK.
#define | GP_ERROR -1
| Generic Error.
#define | GP_ERROR_BAD_PARAMETERS -2
| Bad parameters passed.
#define | GP_ERROR_NO_MEMORY -3
| Out of memory.
#define | GP_ERROR_LIBRARY -4
| Error in the camera driver.
#define | GP_ERROR_UNKNOWN_PORT -5
| Unknown libgphoto2 port passed.
#define | GP_ERROR_NOT_SUPPORTED -6
| Functionality not supported.
#define | GP_ERROR_IO -7
| Generic I/O error.
#define | GP_ERROR_FIXED_LIMIT_EXCEEDED -8
| Buffer overflow of internal structure.
#define | GP_ERROR_TIMEOUT -10
| Operation timed out.
#define | GP_ERROR_IO_SUPPORTED_SERIAL -20
| Serial ports not supported.
#define | GP_ERROR_IO_SUPPORTED_USB -21
| USB ports not supported.
#define | GP_ERROR_IO_INIT -31
| Error initialising I/O.
#define | GP_ERROR_IO_READ -34
| I/O during read.
#define | GP_ERROR_IO_WRITE -35
| I/O during write.
#define | GP_ERROR_IO_UPDATE -37
| I/O during update of settings.
#define | GP_ERROR_IO_SERIAL_SPEED -41
| Specified serial speed not possible.
#define | GP_ERROR_IO_USB_CLEAR_HALT -51
| Error during USB Clear HALT.
#define | GP_ERROR_IO_USB_FIND -52
| Error when trying to find USB device.
#define | GP_ERROR_IO_USB_CLAIM -53
| Error when trying to claim the USB device.
#define | GP_ERROR_IO_LOCK -60
| Error when trying to lock the device.
#define | GP_ERROR_HAL -70
| Unspecified error when talking to HAL.

## Functions

const char * | gp_port_result_as_string (int result)

## Detailed Description

Copyright © 2001 Lutz Müller <lutz@users.sf.net>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Define Documentation

#define GP_OK 0

Everything is OK.

Note that this is also the value 0, and every error is negative (lower).

## Function Documentation

const char* gp_port_result_as_string | ( | int | result | ) |

gp_port_result_as_string:

Returns:
  : a gphoto2 error code

Returns a string representation of a gphoto2 error code. Those are static error descriptions. You can get dynamic ones that explain the error more in depth using gp_port_get_error.

Return value: a string representation of a gphoto2 error code